Core - Bug # 43730

Status: Resolved Priority: Should have
Author: Chris topher Category: Install Tool
Created: 2012-12-07 Assigned To:

Updated: 2013-01-26 Due date:

TYPO3 Version: 6.0

PHP Version: 54

Complexity: no-brainer

Is Regression:
Sprint Focus:

Subject: Update outdated description of ['FE"]['noPHPscriptinclude’] in DefaultConfiguration.php

Description
The description of ['FE']['noPHPscriptinclude'] in DefaultConfiguration.php currently says

If set, PHP-scripts are not included by TypoScript configurations, unless they reside in 'media/scripts/’-folder. (...)

This is not true anymore.

['FE'noPHPscriptinclude’] is no longer checked with this folder (see
typo3/sysext/frontend/Classes/Controller/TypoScriptFrontendController.php). Instead there is a check for typo3/ext/, typo3/sysext/ and
typo3conf/ext.

So the text should read:

| (-.-), unless they reside in the folders typo3/ext/, typo3/sysext/ or typo3conf/ext. (...)

Related issues:
related to Core - Bug # 25985: remove obsolete check for dir media/scripts/ i... Resolved 2011-04-15
duplicated by Core - Task # 43341: Update description for noPHPscriptinclude ... Resolved 2012-11-27

Associated revisions

Revision 43ade890 - 2013-01-26 00:10 - Diana Precup
[BUGFIX] Invalid description of noPHPscriptinclude

default of ['FE']['noPHPscriptinclude'] as documented in
t3lib/stddb/DefaultConfiguration.php is not 'media/scripts/' but

one one of 'typo3/ext/', 'typo3/sysext/' or 'typo3conf/ext’

Resolves: #43730
Releases: 6.0

Change-Id: 1db5f63ffc3c555a6b096077302b8e56cd0b82983
Reviewed-on: https://review.typo3.org/17040

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
https://review.typo3.org/17040

Revision 04b3f8a3 - 2013-01-26 00:12 - Diana Precup
[BUGFIX] Invalid description of noPHPscriptinclude

default of ['FE'|['noPHPscriptinclude'] as documented in
t3lib/stddb/DefaultConfiguration.php is not 'media/scripts/' but

one one of 'typo3/ext/', 'typo3/sysext/' or 'typo3conf/ext’

Resolves: #43730
Releases: 6.1, 6.0

Change-Id: 1db5f63ffc3c555a6b096077302b8e56cd0b82983
Reviewed-on: https://review.typo3.org/17727

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2012-12-09 16:24 - Chris topher

Under review at https://review.typo3.org/#/c/17040/

#2 - 2012-12-09 16:26 - Chris topher
- Status changed from New to Under Review

#3 - 2013-01-26 00:08 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17040

#4 - 2013-01-26 00:11 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-0 has been pushed to the review server.

It is available at https://review.typo3.org/17727

#5 - 2013-01-26 00:30 - Diana Precup
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:04b3f8a393781ec5c65549255b6a12c313d12387.
